#
# spec file for package dxc (Version 4.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

#BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25-devel libtool perl rpm
BuildRequires: libax25-devel

Name:         dxc
License:      GPL
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      4.4
Release:      lp155.615.1
Summary:      Pseudo Terminal for Packet Cluster
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
Patch1:       %{name}-%{version}-varlib.dif
URL:          http://gw.ir3ip.ampr.org/~iz4ako/dxc.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
DXC is a pseudo-terminal for packet clustering. DXC monitors data
packets on the frequency of a local cluster. When DX INFO is
transmitted to connected users, DXC grabs the information and prints it
on screen in various colors. A special file is opened to store ALL
QSL-INFO and MANAGER. DXC is ideal for SWL and OM. The only hardware
needed is a BAYCOM/Soundmodem (or KISS TNC).



Authors:
--------
    Pierluigi Guerzoni <iz4ako@ing49.unife.it>

%debug_package
%prep
%setup
%patch -p1

%build
rm -f dxc dxctestcolor
make
make dxctestcolor

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/ax25/,/usr/bin/,%{_mandir}/man1/}
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}
install -d $RPM_BUILD_ROOT/var/lib/dxc/
touch $RPM_BUILD_ROOT/var/lib/dxc/Qsl_info.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README.1st
%config /etc/ax25/dxcrc
/usr/bin/dxc
/usr/bin/dxctestcolor
/usr/bin/dxcalarma
/usr/bin/dxcalarmb
/usr/bin/dxcalarmc
%{_mandir}/man1/dxc.1.gz
/var/lib/dxc/

%changelog -n dxc
* Thu Feb 24 2011 - dl8fcl@darc.de
- Fix for 11.4
* Wed Feb 20 2007 - dl9pf@gmx.de
- import into buildservice
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue May 27 2003 - ro@suse.de
- recompile dxctestcolor and package it
* Fri Feb 14 2003 - ro@suse.de
- /var/dxc -> /var/lib/dxc
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Wed May 10 2000 - bubnikv@suse.cz
- new version (4.4)
- added buildroot
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 24 1999 - ro@suse.de
- fixed for new libax25
* Wed Mar 17 1999 - ro@suse.de
- fixed patch call
* Fri Mar 12 1999 - ka@suse.de
- initial release
